<!DOCTYPE html>
<html lang="zxx">

 <head>
   <meta charset="utf-8">
   <title>MDEF Daphne Gerodimou</title>
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

<!--link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css"-->
  <!-- Main Stylesheet -->
  <link href="../css/stylevol2.css" rel="stylesheet">

 </head>

 <body>

   <header>
    <div class="container">

       <nav class="nav">
         <lu class="nav lu">
           <li><a class="nav li" href="../index.html">HEY</a></li>
           <li> <a class="nav li" href="../FAB.html">BACK?</a></li>


           <hr>
         </lu>
       </nav>

     </div>
  </header>




<main>



       <div class="containerpost">


            <h2>0.6</h2>
            <br>
            <br><h3>DESIGNING ELECTRONICS</b></h3>
            <br>

            <br> <h3><b>FACULTY :</b></h3>   FABLAB
            <br>
                 <h3><b>LOCATION :</b></h3>  IAAC
            <br>
            <br>
            <br>


                  <br>
                  <br>
                  <br>
              <h3><b></b></h3>
              <br>
              <p>

                <br>

                <br>


             <br>

             <br>
             <br>

          This week was about designing our first ESP32 board, or else the Barduino.
          Basically we had to add to the existing schematics one extra button and one LED.
            <br>

            <br>
            We started by learning the basics of KidCad in order to star creating the schematics.
            We imported the <b>Libraries</b> from the Fab Academy wedsite.
              <br>Symbols
              <br>Foorprints
            <br>We will use the components from the FabLibrary for this assignment.

 <br>

            We loaded the components we would need and started placing them in the schematic. At first, at least me personally,
            was coping the example of the website without really understanding the bigger picture. But as I continued
            adding components and connecting them I was understanding more and more. Especially, adding our own
            button or LED even though is a very simple task, for us with no experience in electronics was very useful
            in pushing us to escape from “blindly coping” and start experiencing what designing electronics actually mean,
            or could mean at least.
            <br>
            <br>
            <br>


       <img src="../images/fabacademy/kidcad.png" alt="" class="">
       <br>

       <br>
       <br>
       One problem that most of us faced was that the LT1129-3.3sot 223 the voltage regulator that we had in the lab was different than the one we had in the library. So we had to go inside the library and modify this specific component by inverting the position of the GND, 3.3, and 5vol.
<br>
Once I was done with the schematics, I generated the <b>Netlist</b> and start working on the physical design of the board. At first, this part was overwhelming, to say the least!

       <br>
       <br>
       <br>
       <img src="../images/fabacademy/net1.png" alt="" class="imagespost">

       <br>
       <br>
       But with patience, A LOT of moving around components without any idea why, and the valuable help of the Fablab team, the board started shaping.
       <br>
       One other importan thing is to set the <b>Design rules</b> of the trace lines beforehand.
       <br>
       <br>
       <img src="../images/fabacademy/designrules.png" alt="" class="imagespost">


<br>
<br>
<br>


<img src="../images/fabacademy/net2.png" alt="" class="imagespost">
<br>
<br>
<br>
And there we have it.
<br>
<br>
<br>
<img src="../images/fabacademy/net3.png" alt="" class="imagespost">

<br>
<br>


<br>
<br>

The next step was to export the design into svg so I can create the separate png for the milling.
<br>
<br>
<br>
<img src="../images/fabacademy/export.png" alt="" class="gif">
<br>
<br>
<br>
I decided to use Incscape because I was not familiar with it, so I wanted to learn its basics features. I imported my file and then inverted the colours so I can have it as it would be printed.
I created three different layers, one for the traces, one for the holes and one for the antenna and moved each element to the right layer.
<br>
<br>
One important thing is to go to the File >  <b>Document properties</b> and set the <b>Units</b> to mm.
<br>
<br>
<img src="../images/fabacademy/properties.png" alt="" class="imagespost">
<br>
<br>
Also, before exporting make sure that the dpi is set to 1000
<br>
<br>

<img src="../images/fabacademy/export2.png" alt="" class="gif">
<br>
<br>
<br>

<img src="../images/fabacademy/inkscape.png" alt="" class="imagespost">
<br>
<br>
<br>
<img src="../images/fabacademy/inkscape1.png" alt="" class="imagespost">
<br>
<br>
<br>
<img src="../images/fabacademy/inkscape2.png" alt="" class="imagespost">
<br>
<br>
<br>
<img src="../images/fabacademy/inkscape3.png" alt="" class="imagespost">







<br>
<br>
<br>
These are my final png.
<br>
<br>
<br>
<img src="../images/fabacademy/ena.png" alt="" class="imagespost">
<br>
<br>
<br>
<img src="../images/fabacademy/duo.png" alt="" class="imagespost">
<br>
<br>
<br>
<img src="../images/fabacademy/tria.png" alt="" class="imagespost">


<br>
<br>
<br>
Because the school closed I didn't have time to mill my own pcb, but I managed to solder one of the barduinos the fablab team milled the last day.

<br>
<br>
<br>
<img src="../images/fabacademy/barduino.jpg" alt="" class="imagespost">
<br>
<br>
<br>
Nonetheless, I made the Fabmodules files, so that my pcb is ready for milling.
<br>
<br>
<br>
I used the Fabmodules website. I first loaded my <b>Traces</b> png and I followed the instructions of the fabacademy website as we did in the Electronics production week.
<br>
Input file = png
<br>
Output file = Roland Mill .rml / machine SRM-20
<br>
Process = Traces 1/64
<br>
Speed = 4
<br>
<br>
<img src="../images/fabacademy/fabtraces1.png" alt="" class="imagespost">
<br>
<br>
<br>
I pressed calculate
<br>
<br>
<br>
<img src="../images/fabacademy/fabtraces2.png" alt="" class="imagespost">
<br>
<br>
<br>
And then saved the .rml file
<br>
<br>
<br>
I used the exact same process for the holes and the antenna except now

<br>
Process = Traces 1/64
<br>
Speed = 0.5
<br>
<br>
<br>
<img src="../images/fabacademy/fabholes1.png" alt="" class="imagespost">
<br>
<br>
<br>
<img src="../images/fabacademy/fabholes2.png" alt="" class="imagespost">
<br>
<br>
<br>
<img src="../images/fabacademy/fabantenna.png" alt="" class="imagespost">
















</p>
<br>
<br>

<h3><b>FILES</b></h3>
<br>
<br>
                           <p>

                              <a href="../files/traces.png">Traces png<a/>
                                  <br>
                             <a href="../files/holes.png">Holes png<a/>
                                  <br>
                              <a href="../files/antenna.png">Antenna png<a/>
                                <br>
                                <a href="../files/Untitled.pro">Kidcad  file <a/>
                                  <br>
                            <a href="../files/board.kidcad_pcb">Kidcad pcb file <a/>
                              <br>
                              <a href="../files/traces.rml">Traces rml<a/>
                                   <br>
                               <a href="../files/holes.rml">Holes rml<a/>
                                 <br>
                             <a href="../files/antenna.rml">Antenna rml<a/>
                               <br>
                               <br>
                           <a href="../files/board.svg">Inkscape file<a/>
                             <br>

                          <br>


                       </p>
                       <br>















</main>

</body>











<!-- Navigation Start -->
<!-- Header Start -->





















<!-- Footer End -->

<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
